Description

The annotation for the SDF Expression demo is not wrapped,
it runs off the right side of the screen.

However, the annotation for the LMS Adaptive demo does properly wrap.
A quick look at the xml shows that the SDF Expression:

<property name="annotation1" class="ptolemy.kernel.util.Attribute">

<property name="_location" class="ptolemy.kernel.util.Location" value="140.0, 5.0">
</property>
<property name=
<configure>
<svg>

<text x="20" style="font-size:14; font-family:sanserif; fill:blue" y="20">This model repeatedly evaluates an expression, a function of
two ramp

signals, slow and fast. Try right clicking on the expr actor, select

"Configure" and change it to "cos(slow)*cos(fast)" and then run

the demo with View->Run Window->Go. Other interesting alternatives

include:

"cos(fast*cos(slow))"

"0.2*slow + cos(fast)"</text>

</svg>

</configure>

</property>

<property name="_hideName" class="ptolemy.kernel.util.SingletonAttribute">

</property>

</property>

_iconDescription" class="ptolemy.kernel.util.SingletonConfigurableAttribute">

The LMS Adaptive demo has:

<property name="Annotation" class="ptolemy.vergil.kernel.attributes. TextAttribute">

<property name="text" class="ptolemy.kernel.util.StringAttribute" value="This model illustrates an LMS (least mean square) adaptive
filter that learns the response of a fixed FIR (finite impulse response) filter by observing the input and noisy output of the filter.">
</property>

<property name="_location" class="ptolemy.kernel.util.Location" value="[15.0, 265.0]">

</property>

</property>

Note that LMS Adaptive uses a TextAttribute and it uses
instead of newlines (the above example text is probably wrapped).

The solution here is to filter the demos and change the older style
annotation to the newer style.

Related issues:
Blocked by Kepler - Bug #3245: Release 1.0 installer tracking bug Resolved 04/29/2008

History

#1 - 04/30/2008 12:13 PM - Chad Berkley

which file is this in?
#2 - 04/30/2008 12:31 PM - Christopher Brooks

These models are in Ptolemy.

| don't know if this should hold up the release.

To replicate, start Kepler 1.0.0 from the menu choice.

(The bug happens for all OS's and versions of Kepler)

Help | Documentation | "Background information on Ptolemy" | Documentation | "Complete List of Demos" | SDF

Expression does not look ok
LMS Adaptive Filter looks ok

Or

cd $PTII

Then execute this command (all on one line)

c:/Program\ Files/kepler/kepler ptolemy/domains/sdf/demo/LMSAdaptive/LMSAdaptive.xml ptolemy/domains/sdf/demo/Expression/Expression.xml

Also, double clicking on the bogus annotation in Expression brings
up a window "annotation1 has no parameters". This is a Ptolemy problem.

#3 - 04/30/2008 01:24 PM - Dan Higgins

This is an 'old' problem that, as | remember, had to do with the exact way the annotation was created. We had to go back and copy the annotation
text to a new version of the Annotation actor to get the returns to properly show up. We actually changed a number of Kepler workflows to fix. It has
something to do with Matthew's GUI changes (Icons?) in Kepler.

Dan

#4 - 05/01/2008 10:49 AM - Christopher Brooks

Ok, | have a filter than can fix this problem.
Unless | hear otherwise, I'm going to update the appropriate demos
in the ptll rel-7-0-beta-2 branch.

#5 - 05/01/2008 12:08 PM - Chad Berkley

christopher, is this now fixed? If so, can | close this bug?

#6 - 05/01/2008 01:10 PM - Christopher Brooks

I'm still atiit . . .
The filter has problems. | should have this done sometime today.

#7 - 05/01/2008 06:39 PM - Christopher Brooks

The annotations in the Ptolemy demos are fixed.

I hacked up a filter that did most of the heavy lifting.

The Ptolemy demos still don't look great in Kepler because
the SVG origin of the icons in Kepler is different than

the non-SVG origin of the icons in Ptolemy.

#8 - 05/07/2008 03:46 PM - Aaron Aaron

The SDF Expression annotation looks good. | ran through all the SDF demos. SynthesizedVoice.xml cannot find the file voice.wav. Other than that
they all seem to run well.

(v3 installer)

#9 - 03/27/2013 02:22 PM - Redmine Admin
Original Bugzilla ID was 3254
